# $Revision: 1.31 $, $Date: 2006/09/24 20:11:49 $
# TODO:
# - loading modules in init-script, if needed
# - missing plugin: nvclock, sensors
# - move plugins into separate packages? (some is needed, because of additional deps)
Summary:	Scales your cpu frequency
Summary(pl):	Skalowanie czstotliwoci procesora
Name:		cpufreqd
Version:	2.2.0
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/cpufreqd/%{name}-%{version}.tar.bz2
# Source0-md5:	a8916004d3fb75ed43822eb978c08fc5
Source1:	%{name}.init
URL:		http://cpufreqd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cpufrequtils-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sysfsutils-devel
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This daemon monitors /proc/apm for the battery status and scales your
cpu frequency according to a set of rules. It is very useful for
providing maximum battery life but good cpu speed at the same time.

%description -l pl
Ten demon monitoruje stan baterii przez /proc/apm i skaluje
czstotliwo procesora zgodnie z zestawem regu. Jest bardzo
przydatny do zapewniania maksymalnego czasu ycia baterii, a
jednoczenie dobrej szybkoci procesora.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--libdir=%{_libdir}/%{name}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
	# Modify config file for 2.6
	if [ -d /sys/devices/system/cpu/cpu0/cpufreq ] ; then
		# translate percentages in integer values
		CPUFREQD_MAX_SPEED=`cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq`
		CPUFREQD_MIN_SPEED=`cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_min_freq`
		CPUFREQD_MHIGH_SPEED=$(( $CPUFREQD_MAX_SPEED / 100 * 66 ))
		CPUFREQD_MLOW_SPEED=$(( $CPUFREQD_MAX_SPEED / 100 * 33 ))
		sed -i -e "s/100%/$CPUFREQD_MAX_SPEED/; \
			s/66%/$CPUFREQD_MHIGH_SPEED/; \
			s/33%/$CPUFREQD_MLOW_SPEED/;  \
			s/0%/$CPUFREQD_MIN_SPEED/;" \
			%{_sysconfdir}/cpufreqd.conf
	fi
fi

/sbin/chkconfig --add cpufreqd
%service cpufreqd restart "CPU FREQ daemon"

%preun
if [ "$1" = "0" ]; then
	%service cpufreqd stop
	/sbin/chkconfig --del cpufreqd
fi

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(754,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%{_mandir}/man?/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpufreqd.spec,v $
Revision 1.31  2006/09/24 20:11:49  glen
- modify config on initial install only, rel 1

Revision 1.30  2006/09/23 16:40:06  shadzik
- 2.2.0

Revision 1.29  2006/06/22 21:33:46  shadzik
- up to 2.1.1
- dropped -am.patch, we already have an satisfying Makefile.am in source

Revision 1.28  2006/05/21 15:48:05  glen
- BR sysfsutils-devel

Revision 1.27  2006/02/24 15:20:04  glen
- use %service

Revision 1.26  2006/01/08 16:55:33  blues
- more TODO - builds, not tested yet

Revision 1.25  2006/01/08 16:18:40  blues
- bz2 source, BR: cpufrequtils-devel

Revision 1.24  2006/01/08 16:05:59  blues
- 2.0.0 - only fetch sources; NFY

Revision 1.23  2006/01/03 23:48:27  blues
- TODO added

Revision 1.22  2005/07/08 07:15:48  blues
- 1.2.3 - only memleaks fixed, STB

Revision 1.21  2005/04/03 16:14:13  darekr
- unified

Revision 1.20  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.19  2004/11/30 22:00:05  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.18  2004/10/31 08:27:06  darekr
- updated to 1.2.2

Revision 1.17  2004/09/02 22:59:41  blues
- TODO added

Revision 1.16  2004/09/01 08:26:37  misi3k
- updated to 1.2.0

Revision 1.15  2004/03/26 02:46:41  arekm
- convert for 2.6 kernels

Revision 1.14  2004/03/13 15:25:46  adamg
- updated to 1.1.2

Revision 1.13  2004/02/08 17:21:42  adamg
- updated to 1.1.1

Revision 1.12  2004/01/06 09:40:34  qboosh
- simplified Source0 URL

Revision 1.11  2004/01/06 09:37:08  arekm
- updated to 1.1

Revision 1.10  2003/10/13 14:29:40  arekm
- updated to 1.0.1

Revision 1.9  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.8  2003/08/06 16:50:33  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.7  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.6  2003/06/15 12:22:22  arekm
- updated to beta1

Revision 1.5  2003/06/15 11:50:23  arekm
- added init script

Revision 1.4  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/05 21:13:01  qboosh
- pl description, verify for config

Revision 1.1  2003/03/05 15:25:10  blues
- initial release (it has any sense only with kernel 2.5 or "a bit"
  patched 2.4...
